<!--
 nono
 Copyright (C) 2022 nono project
 Licensed under nono-license.txt
-->
<html>
<?php require_once "common.php"; ?>
<body>
<h3>nono</h3>
<hr>

<h4>ver 0.2.x から ver 0.3.0 への移行方法 <q>How to migrate from ver 0.2.x to ver 0.3.0</q></h4>
<div class="main">
ver 0.3.0 ではデバッガに関する設定項目が ver 0.2.x までとは変更になっています。
これらを設定ファイルに記載している場合は
<a href="#configuration">このドキュメントの設定の章</a
>を参照して修正してください。
<q>Configuration about debugger has been changed from ver 0.2.x to ver 0.3.0.
If your configuration file has them, please update by yourself.
See <a href="#configuration">Configuration section in this document</a>.</q>
<p>
以下の設定項目は廃止になりました。
<q>The following item has been removed.</q>
<br>
<blockquote style="background-color: var(--light-pink);"><pre>
debugger-port = (default: 0)
</pre></blockquote>
代わりに以下の2つが追加されています。
<q>Instead, the following two items are added.</q>
<blockquote style="background-color: white;"><pre>
debugger-driver   = (default: none)
debugger-tcp-port = (default: 0)
</pre></blockquote>
</div>

<hr>
nono project
</body>
</html>
