//
// nono
// Copyright (C) 2021 nono project
// Licensed under nono-license.txt
//

//
// バックバッファが BitmapRGB なパネル
//

#pragma once

#include "wxnono.h"
#include "bitmap.h"

class WXBitmapPanel : public wxPanel
{
	using inherited = wxPanel;
 public:
	WXBitmapPanel(wxWindow *parent,
		const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL);
	WXBitmapPanel(wxWindow *parent, wxWindowID id,
		const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL);
	virtual ~WXBitmapPanel() override;

	void SetBitmapBGColor(Color c);

 protected:
	void OnSize(wxSizeEvent&);
	void OnPaint(wxPaintEvent&);

	virtual void Draw();

	BitmapRGB bitmap {};

 private:
	Color bitmap_bgcolor;

	wxDECLARE_EVENT_TABLE();
};
